Payment Methods
1 min
Payment methods api returns a list of supported payment methods and their names given clientId and type. The type parameter can take in string values like CHECKOUT or PAYOUT.
The response is a list of payment methods which has
- paymentMethodKey is a string which specifies payment type that can be passed in create payout order and open checkout
- paymentMethod is the name of the payment method key
- currencyId is the currency for which the payment method is supported. eg: brl_bz is Brazilian Real
Get Payment Methods
Get order details by client's request-id
GET
https://your-hostname.pay3.app/v2/client/payment-methods?clientId=your-client-id&type=type
Query Parameters
- clientIdstringrequiredDescription
- typestringrequiredDescription
curl
curl --location 'https://your-hostname.pay3.app/v2/client/payment-methods?clientId=your-client-id&type=type' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json'200
{
"PaymentMethods": [
{
"paymentMethodKey": "boleto",
"paymentMethod": "Boleto",
"currencyId": "brl_bz"
},
{
"paymentMethodKey": "pix",
"paymentMethod": "Pix",
"currencyId": "brl_bz"
},
{
"paymentMethodKey": "credit_card",
"paymentMethod": "Credit Card",
"currencyId": "brl_bz"
}
]
}401
{"error":"Client verification failed"}